websocket-sharp : WebSocketSharp.Net Namespace

# Cookie Class

Documentation for this section has not yet been entered.

## Syntax

public sealed class Cookie

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: WebSocketSharp.Net
Assembly: websocket-sharp (in websocket-sharp.dll)
Assembly Versions: 1.0.2.36581

## Members

See Also: Inherited members from object.

## Public Constructors

| Cookie () | Documentation for this section has not yet been entered.
| Cookie (string, string) | Documentation for this section has not yet been entered.
| Cookie (string, string, string) | Documentation for this section has not yet been entered.
| Cookie (string, string, string, string) | Documentation for this section has not yet been entered.

## Public Properties

| Comment | string . Documentation for this section has not yet been entered.
| CommentUri | Uri . Documentation for this section has not yet been entered.
| Discard | bool . Documentation for this section has not yet been entered.
| Domain | string . Documentation for this section has not yet been entered.
| Expired | bool . Documentation for this section has not yet been entered.
| Expires | DateTime . Documentation for this section has not yet been entered.
| HttpOnly | bool . Documentation for this section has not yet been entered.
| Name | string . Documentation for this section has not yet been entered.
| Path | string . Documentation for this section has not yet been entered.
| Port | string . Documentation for this section has not yet been entered.
| Secure | bool . Documentation for this section has not yet been entered.
[read-only] | TimeStamp | DateTime . Documentation for this section has not yet been entered.
| Value | string . Documentation for this section has not yet been entered.
| Version | int . Documentation for this section has not yet been entered.

## Public Methods

override

Equals (object) : bool

> Documentation for this section has not yet been entered.

override

GetHashCode () : int

> Documentation for this section has not yet been entered.

override

ToString () : string

> Documentation for this section has not yet been entered.

## Extension Methods

static

IsNull<T> (this T) : bool

> Determines whether the specified object is `null`.

static

IsNullDo<T> (this T, Action) : bool

> Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### Cookie Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public Cookie ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Cookie Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public Cookie (string name, string value)

> #### Parameters

> > name
> >   Documentation for this section has not yet been entered.
> > value
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Cookie Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public Cookie (string name, string value, string path)

> #### Parameters

> > name
> >   Documentation for this section has not yet been entered.
> > value
> >   Documentation for this section has not yet been entered.
> > path
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Cookie Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public Cookie (string name, string value, string path, string domain)

> #### Parameters

> > name
> >   Documentation for this section has not yet been entered.
> > value
> >   Documentation for this section has not yet been entered.
> > path
> >   Documentation for this section has not yet been entered.
> > domain
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Comment Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public string Comment { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### CommentUri Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public Uri CommentUri { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Discard Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool Discard { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Domain Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public string Domain { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Equals Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public override bool Equals (object obj)

> #### Parameters

> > obj
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Expired Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool Expired { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Expires Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public DateTime Expires { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### GetHashCode Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public override int GetHashCode ()

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### HttpOnly Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool HttpOnly { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Name Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public string Name { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Path Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public string Path { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Port Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public string Port { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Secure Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool Secure { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### TimeStamp Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public DateTime TimeStamp { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### ToString Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public override string ToString ()

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Value Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public string Value { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Version Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public int Version { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581